#!/bin/sh

# Script shows more details from inside the database.
# $1: RRD Index (0..n)
#
# Run with N=0, 1, or 2:
# cd /mnt/cf/rrd ; bin/info-rrd.sh N

if [ ! -f /usr/local/etc/rrd/$1.conf ]
then
	echo "No configfile for Index $1" >&2
	exit 1
fi

. /usr/local/etc/rrd/rrd.conf
. /usr/local/etc/rrd/$1.conf

rrdtool info $RRD_FILE
