var doc=document.form;
hide();
var lan2exist=false;

function hide(){
	hidetabs(1,19,"none");
	if(!lan2exist) hidetabs(50,52,"none");
	if(doc.CHK$eth0activ.checked){
		hidetabs(1,2,"");
		if(doc.RAD$eth0ip[1].checked){
			hidetabs(3,4,"");
			hidetabs(10,12,"");
			hidetabs(16,18,"");
		}else{
			doc.CHK$dns.checked=false;
			doc.CHK$dgw.checked=false;
		}
		if(doc.CHK$dns.checked) hidetabs(13,15,"");
		if(doc.CHK$dgw.checked) hidetabs(19,19,"");
	}
	if(doc.CHK$eth1activ.checked){
		hidetabs(5,7,"");
		if(doc.RAD$eth1ip[2].checked) hidetabs(8,9,"");
	}
}

//--------------------------------------- sendefunktion -------------------------------------------
function send(command){
	var klasse;
	if(command=="cancel"){doc.reset();return 0;}
	if(doc.RAD$eth0ip[1].checked && doc.CHK$eth0activ.checked){
		if(!test_ip('TXT$eth0ip',true,"LAN1")) return;
		if(!test_ip('TXT$eth0sub',true,"LAN1")) return;
		klasse = netzwerk_klasse(doc.TXT$eth0ip1); 
		if(klasse == 1){ // klasse A subnet muss 255.x.x.x heissen
			if( !(doc.TXT$eth0sub1.value == "255") ){
				if(!confirm(" Warning ! Class A network for LAN1 chosen ! Subnetmask should look like 255.x.x.x !")){
					return;
				}
			}
		}
		if(klasse == 2){ // klasse A subnet muss 255.255.x.x heissen
			if( !(doc.TXT$eth0sub1.value == "255") || !(doc.TXT$eth0sub2.value == "255")){
				if(!confirm(" Warning ! Class B network for LAN1 chosen ! Subnetmask should look like 255.255.x.x !")){
					return;
				}
			}
		}
		if(klasse == 3){ // klasse A subnet muss 255.255.255.x heissen
			if( !(doc.TXT$eth0sub1.value == "255") || !(doc.TXT$eth0sub2.value == "255") || !(doc.TXT$eth0sub3.value == "255")){
				if(!confirm(" Warning ! Class C network for LAN1 chosen ! Subnetmask should look like 255.255.255.x !")){
					return;
				}
			}
		}
	}
	if(doc.RAD$eth1ip[2].checked && doc.CHK$eth1activ.checked){
		if(!test_ip("TXT$eth1ip",true,"LAN2")) return;
		if(!test_ip("TXT$eth1sub",true,"LAN2")) return;
		klasse = netzwerk_klasse(doc.TXT$eth1ip1); 
		if(klasse == 1){ // klasse A subnet muss 255.x.x.x heissen
			if( !(doc.TXT$eth1sub1.value == "255") ){
				if(!confirm(" Warning ! Class A network for LAN2 chosen ! Subnetmask should look like 255.x.x.x !")){
					return;
				}
			}
		}
		if(klasse == 2){ // klasse A subnet muss 255.255.x.x heissen
			if( !(doc.TXT$eth1sub1.value == "255") || !(doc.TXT$eth1sub2.value == "255")){
				if(!confirm(" Warning ! Class B network for LAN2 chosen ! Subnetmask should look like 255.255.x.x !")){
					return;
				}
			}
		}
		if(klasse == 3){ // klasse A subnet muss 255.255.255.x heissen
			if( !(doc.TXT$eth1sub1.value == "255") || !(doc.TXT$eth1sub2.value == "255") || !(doc.TXT$eth1sub3.value == "255")){
				if(!confirm(" Warning ! Class C network for LAN2 chosen ! Subnetmask should look like 255.255.255.x !")){
					return;
				}
			}
		}
	}
	if(doc.CHK$dns.checked){
		if(!test_ip( 'TXT$eth1dns1',true,"DNS1")) return;
		if(!test_ip( 'TXT$eth1dns2',false,"DNS2")) return;
		if(!test_ip( 'TXT$eth1dns3',false,"DNS3")) return;
	}
	if(doc.CHK$dgw.checked){
		if(!test_ip('TXT$dgate',true,"GW")) return;
	}

	if(!confirm(" Warning ! You are about to change your network settings ("+command+")!")){
		return;
	}

	doc.TXT$submit.value=command;
	doc.submit();
}

//--------------------------------------- prf funktionen ------------------------------------------
function subnet_setzen(lan){
	var klasse1;
	klasse1 = netzwerk_klasse(doc.elements[('TXT$' + lan + 'ip1')]);
	for (i=1;i < 5;i++) {doc.elements[('TXT$' + lan + 'sub' + i)].value = 0;}
	if(klasse1 >= 1){ // klasse A subnet muss 255.x.x.x heissen
		doc.elements[('TXT$' + lan + 'sub1')].value = "255";
	}
	if(klasse1 >= 2){ // klasse A subnet muss 255.255.x.x heissen
		doc.elements[('TXT$' + lan + 'sub2')].value = "255";
	}
	if(klasse1 >= 3){ // klasse A subnet muss 255.255.255.x heissen
		doc.elements[('TXT$' + lan + 'sub3')].value = "255";
	}
}

function netzwerk_klasse(feld){
	feld.value=trim(feld.value);
	if( feld.value >= 0  && feld.value < 127 ){return 1;}
	if( feld.value > 127 && feld.value < 192 ){return 2;}
	if( feld.value > 191 && feld.value < 224 ){return 3;}
	if( feld.value > 223 && feld.value < 240 ){return 4;}
	if( feld.value > 239 && feld.value < 255 ){return 5;}
	if( feld.value == "127" ){confirm (" Warning ! Loopback address  chosen !");}
	if( feld.value == "255" ){confirm (" Warning ! Broadcast address chosen !");}
	return 0;
}
