#!/bin/sh

test "$REQUEST_METHOD" != "GET" && exit
START="$QUERY_STRING"

	cat <<EOF
Content-type: text/html
Expires: 0

<html>
<head>
<title>M-Bus log</title>
<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-15">
</head>
<body>
<pre>
EOF

if [ -s /tmp/m-bus.err ]
then
	echo "Error Log:"
	tail -n 50 /tmp/m-bus.err
	echo "<hr>M-Bus Log:"
fi
tail -n 500 /tmp/m-bus.log | sed -e 's/\&/\&amp;/g' -e 's/</\&lt;/g' -e 's/>/\&gt;/g'

echo "</pre></body></html>"
