#!/bin/sh

test "$REQUEST_METHOD" != "GET" && exit

	cat <<EOF
Content-type: text/html
Expires: 0

<html>
<head>
<title>Aktuelle Z&auml;hlerst&auml;nde</title>
<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-15">
<link rel="stylesheet" type="text/css" href="css.css">
</head>
<body leftmargin="10" marginwidth="10" topmargin="10" marginheight="10">
<h3>Aktuelle Werte</h3>
<table width="95%" cellpadding="4" class="t1">
<tr>
<th>Bus</th>
<th>Ident</th>
<th>Z&auml;hlerstand</th>
<th>Ablesezeit</th>
</tr>
EOF

for name in img/mbus-*-*.value
do
	cat <<EOF
<tr>
<td>`echo "$name" | sed -nre 's/^.*mbus-([-0-9]*).*$/\1/p'`</td>
<td>`cut -f1 $name`</td>
<td>`cut -f2 $name`</td>
<td>`stat -c '%z' $name | sed -nre 's/^([^\.]*)\..*$/\1/p'`</td>
</tr>
EOF
done
	cat <<EOF
</table>
<pre>`date '+%a, %d %b %Y %H:%M:%S %Z'`</pre>
</body></html>
EOF
